## Name

maildirkw — set maildir message keywords

## Synopsis

`maildirkw` [-c] [-l] [-a] [-r] {`maildir`} {`message`} [`keyword`...]

`maildirkw` [-c] {-L} {`maildir`}

## DESCRIPTION

maildirkw modifies the Courier IMAP server compatible maildir message keywords. This command allows an easy way to set or clear custom IMAP keywords associated with a particular message. `maildir` is the pathname to a maildir, or a maildir folder. The `-L` option lists all messages in the maildir, and their associated keywords. `message` specified which message's keywords should be set. One or more `keyword`s specifies a list of keywords to be set for this message. The specified list of `keyword`s replaces any keywords presently set for the `message`, unless the `-a` or the `-r` option is specified.

The `-a` option adds the `keyword` to existing keywords that are set for `message`. The `-r` removes `keyword`s from `message`, leaving any remaining keywords set in place.

The `-l` should be used if the Courier IMAP server's configuration file has the `IMAP_USELOCKS` option set. `-l` enables a compatible locking mechanism to update the message's keywords.

`-c` enables case-sensitive keywords. IMAP keywords are normally case insensitive. `-c` needs to be used if the SMAP1 protocol extension is used, which uses case sensitive keywords.

## SEE ALSO

maildiracl(1), maildirmake(1).